android-platform-art (14.0.0+r15-6) unstable; urgency=medium

  [ Sudip Mukherjee ]
  * d/p/fix-ambiguous.patch: Fix FTBFS due to ambiguous FillVRegs template
    specializations due to clang-20 (Closes: #1104650).

  [ Roger Shimizu ]
  * Remove unused debian/.gitlab-ci.yml

 -- Roger Shimizu <rosh@debian.org>  Sat, 21 Feb 2026 00:30:57 -0800

android-platform-art (14.0.0+r15-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Roger Shimizu <rosh@debian.org>  Sun, 31 Aug 2025 00:51:21 -0700

android-platform-art (14.0.0+r15-5~exp4) experimental; urgency=medium

  * debian/dex*.mk: riscv64 needs -latomic.
  * debian/rules: Revert of skipping dh_strip for riscv64.

 -- Roger Shimizu <rosh@debian.org>  Sat, 19 Jul 2025 10:32:40 +0200

android-platform-art (14.0.0+r15-5~exp3) experimental; urgency=medium

  * debian/dex*.mk: arm64 needs -lgcc_s, and i386 needs -latomic.
  * debian/control: Add Depends: lld on riscv64.

 -- Roger Shimizu <rosh@debian.org>  Sat, 19 Jul 2025 01:00:45 +0200

android-platform-art (14.0.0+r15-5~exp2) experimental; urgency=medium

  * d/*.mk: Add -lbacktrace to libart, and cleanup other makefiles

 -- Roger Shimizu <rosh@debian.org>  Fri, 18 Jul 2025 20:51:28 +0200

android-platform-art (14.0.0+r15-5~exp1) experimental; urgency=medium

  * Team upload.
  * d/rules: Update the lib dependencies to fix FTBFS with make --shuffle=reverse
    (Closes: #1105279).

 -- Roger Shimizu <rosh@debian.org>  Sun, 13 Jul 2025 23:57:32 +0200

android-platform-art (14.0.0+r15-4) unstable; urgency=medium

  [ Hans-Christoph Steiner ]
  * patch fix: 'Filter' function shadowing its own template parameter
    (Closes: #1084238)

  [ Jochen Sprickerhof ]
  * Remove myself form uploaders

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 01 Dec 2024 16:19:27 +0100

android-platform-art (14.0.0+r15-3) unstable; urgency=medium

  * Team upload.
  * d/patches: Disable base/strlcpy.h and add <algorithm> to headers
    (Closes: #1072129).

 -- Roger Shimizu <rosh@debian.org>  Fri, 20 Sep 2024 21:12:52 -0700

android-platform-art (14.0.0+r15-2) unstable; urgency=medium

  * debian/control and debian/rules:
    - Use default clang/lld version (Closes: #1061207).

 -- Roger Shimizu <rosh@debian.org>  Tue, 26 Mar 2024 00:45:16 -0700

android-platform-art (14.0.0+r15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 14.0.0+r15

 -- Roger Shimizu <rosh@debian.org>  Sun, 12 Nov 2023 19:46:04 -0800

android-platform-art (14.0.0+r11-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/control: Add python3 to B-D.
  * debian/libart.mk: Cleanup and support riscv64.
  * debian/rules: Skip dh_strip for riscv64.

 -- Roger Shimizu <rosh@debian.org>  Tue, 07 Nov 2023 22:22:28 -0800

android-platform-art (14.0.0+r11-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release 14.0.0+r11
  * d/patches: Refresh patches.

 -- Roger Shimizu <rosh@debian.org>  Mon, 06 Nov 2023 00:23:04 -0800

android-platform-art (14~beta1-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/control and debian/rules: Use lld-15 same version as clang.

 -- Roger Shimizu <rosh@debian.org>  Sun, 05 Nov 2023 22:01:35 -0800

android-platform-art (14~beta1-1~exp3) experimental; urgency=medium

  * Team upload.
  * debian/control:
    - Remove some arches from using lld: s390x ppc64 sparc64.

 -- Roger Shimizu <rosh@debian.org>  Tue, 08 Aug 2023 21:38:11 -0700

android-platform-art (14~beta1-1~exp2) experimental; urgency=medium

  * debian/control:
    - Bump up base android lib version and add lld to B-D.
  * debian/rules: Add riscv64 support.

 -- Roger Shimizu <rosh@debian.org>  Tue, 08 Aug 2023 00:52:05 -0700

android-platform-art (14~beta1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release 14~beta1
  * debian/patches:
    - Refresh patches.
    - Add missing header patch.
  * debian/control: Add riscv64 support.
  * debian/libart.mk: Update and add riscv64 support.
  * debian/dex*.mk: Add tinyxml2 lib for linking.

 -- Roger Shimizu <rosh@debian.org>  Sat, 05 Aug 2023 12:37:21 -0700

android-platform-art (13.0.0+r63-2) unstable; urgency=medium

  * Team upload.
  * Use clang-15 instead of clang-14 (default) to workaround ftbfs on
    i386.

 -- Roger Shimizu <rosh@debian.org>  Sun, 23 Jul 2023 23:45:41 -0700

android-platform-art (13.0.0+r63-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/patches:
    - Add a missing header to fix ftbfs for gcc-13 (Closes: #1037573).

 -- Roger Shimizu <rosh@debian.org>  Sat, 22 Jul 2023 23:50:23 -0700

android-platform-art (13.0.0+r63-1~exp2) experimental; urgency=medium

  * debian/libart.mk:
    - Normalization and update indent.

 -- Roger Shimizu <rosh@debian.org>  Mon, 17 Jul 2023 00:27:40 -0400

android-platform-art (13.0.0+r63-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release 13.0.0+r63
  * debian/rules: Add update to new upstream by script.
  * debian/patches: Refresh patches.
  * debian/control:
    - Bump up package version of B-D and Depends.
  * debian/libart.mk:
    - Update source file list.

 -- Roger Shimizu <rosh@debian.org>  Fri, 14 Jul 2023 02:14:52 -0400

android-platform-art (11.0.0+r48-5) unstable; urgency=medium

  * Team upload.
  * debian/rules: Add build time test to override_dh_auto_test.
  * debian/watch: Update to handle orig version.
  * debian/control: Update Depends version.
  * debian/rules: Sync with src:android-platform-tools.
  * debian/control: Fix ftbfs on powerpc due to clang.

 -- Roger Shimizu <rosh@debian.org>  Fri, 27 Jan 2023 00:07:55 -0800

android-platform-art (11.0.0+r48-4) unstable; urgency=medium

  [ 殷啟聰 | Kai-Chung Yan ]
  * Remove myself from Uploaders

  [ Jochen Sprickerhof ]
  * Add patch to fix FTBFS (Closes: #1017143)
  * Fix lintian upstream-metadata-field-unknown
  * Disable LTO as the package uses clang and FTBFS (Closes: #1015353)
  * Add myself to Uploaders

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 13 Oct 2022 20:56:25 +0200

android-platform-art (11.0.0+r48-3) unstable; urgency=medium

  * Team upload.
  * Remove embedded unwindstack code.
  * debian/control:
    - Fix multiarch issues

 -- Roger Shimizu <rosh@debian.org>  Tue, 10 May 2022 19:33:56 +0900

android-platform-art (11.0.0+r48-2) unstable; urgency=medium

  * Team upload.
  * Fix ftbfs for armhf
  * debian/control:
    - Revise B-D and Depends for each package.

 -- Roger Shimizu <rosh@debian.org>  Wed, 04 May 2022 22:19:29 +0900

android-platform-art (11.0.0+r48-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 11.0.0+r48
  * Update d/rules and d/*.mk
  * Support nterp *.S asm for x86_64
  * Add DexFile* source to debian/unwindstack

 -- Roger Shimizu <rosh@debian.org>  Wed, 04 May 2022 01:51:47 +0900

android-platform-art (10.0.0+r36-5) unstable; urgency=medium

  * Team upload.
  * Drop dmtracedump (moved to android-platform-tools)
  * Fix compile error

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 05 Apr 2022 13:39:26 +0200

android-platform-art (10.0.0+r36-4) unstable; urgency=medium

  * Team upload.
  * debian/patches:
    - Add patch to fix ftbfs for c++17 (Closes: #983964).

 -- Roger Shimizu <rosh@debian.org>  Sat, 22 Jan 2022 00:26:23 +0900

android-platform-art (10.0.0+r36-3) unstable; urgency=medium

  * Team upload.

  [ Roger Shimizu ]
  * debian/*.mk:
    - Remove runtime library path: debian/out, which is only needed
      after building.
    - Remove LDFLAGS=-nodefaultlibs for library.
  * debian/rules:
    - Add LD_LIBRARY_PATH=debian/out for help2man calling.

  [ Hans-Christoph Steiner ]
  * mv man page gen to dh_auto_build and respect arches

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 07 Jan 2021 13:08:42 +0100

android-platform-art (10.0.0+r36-2) unstable; urgency=medium

  * Team upload.
  * debian/*.mk:
    - Add necessary linking libraries to fix ftbfs issue.

 -- Roger Shimizu <rosh@debian.org>  Wed, 06 Jan 2021 19:29:23 +0900

android-platform-art (10.0.0+r36-1) unstable; urgency=medium

  * Team upload.
  * Revert "remove stage1 components"
  * debian/tests:
    - Add "Depends" to each test command.
  * debian/control:
    - Remove building package dexlist/dexdump for armel.
    - Fix package description.
  * debian/*.mk:
    - Remove unnecessary linking dependencies.
    - Add "-nodefaultlibs" to LDFLAGS.
  * lintian-overrides:
    - Rename binary-or-shlib-defines-rpath to custom-library-search-path

 -- Roger Shimizu <rosh@debian.org>  Wed, 06 Jan 2021 00:31:36 +0900

android-platform-art (10.0.0+r36-1~stage1.5) unstable; urgency=medium

  * Team upload.
  * debian/patches:
    - Backport patch from upstream to fix mterp asm build on arm64.
      (Closes: #963058)

 -- Roger Shimizu <rosh@debian.org>  Mon, 04 Jan 2021 16:03:34 +0900

android-platform-art (10.0.0+r36-1~stage1.4) unstable; urgency=medium

  * Team upload.
  * debian/*.mk:
    - "mkdir debian/out" command move to debian/rules.
  * debian/patches:
    - Add patches to fix ftbfs on armhf/arm64.

 -- Roger Shimizu <rosh@debian.org>  Mon, 04 Jan 2021 01:24:17 +0900

android-platform-art (10.0.0+r36-1~stage1.3) unstable; urgency=medium

  * debian/control:
    - Bump B-D android-platform-system-core.
  * debian/patches:
    - Add patch to workaround cacheflush on arm.
  * debian/control:
    - Remove valgrind from B-D.
  * debian/*.mk:
    - Remove duplicated "-fPIC" and "-I/usr/include/android"

 -- Roger Shimizu <rosh@debian.org>  Sat, 02 Jan 2021 01:30:12 +0900

android-platform-art (10.0.0+r36-1~stage1.2) unstable; urgency=low

  * Team upload.
  * d/rules: Exclude building libdexfile_support.so from "any"
    architecture.

 -- Roger Shimizu <rosh@debian.org>  Fri, 01 Jan 2021 01:21:41 +0900

android-platform-art (10.0.0+r36-1~stage1.1) unstable; urgency=low

  * Team upload.

  [ Hans-Christoph Steiner ]
  * add missing art_api headers and .cc files
  * build libdexfile_external and libdexfile_support separately

  [ Roger Shimizu ]
  * Fix ftbfs issues on mips*
  * Use patch from android-platform-system-core to fix non-x86 systems

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 30 Dec 2020 23:15:12 +0100

android-platform-art (10.0.0+r36-1~stage1) unstable; urgency=low

  * Team upload.

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Hans-Christoph Steiner ]
  * New upstream release (Closes: #963058)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 13 Oct 2020 17:10:14 +0200

android-platform-art (8.1.0+r23-4) unstable; urgency=medium

  * Team upload.
  * debian/watch:
    - Remove the unsupported "rename" option.
    - Update rule to get new upstream version.
  * debian/control:
    - Add Rules-Requires-Root: no
    - Add help2man to B-D.
  * debian/rules:
    - Add more security hardening.
    - Use help2man to generate manpages for dexdump, and dmtracedump.

 -- Roger Shimizu <rosh@debian.org>  Sun, 10 May 2020 18:42:38 +0900

android-platform-art (8.1.0+r23-3) unstable; urgency=medium

  * Put all LDFLAGS that link libraries at the end of the command line. This
    fixes FTBFS on Ubuntu because `--as-needed` is used by default.
    (Closes: #916250) Thanks to Logan Rosen.
  * ucontext.patch: Fix a type mismatch causing FTBFS on armhf
  * Use GCC to compile assembly code on armhf as Clang does not support the
    `ADRL` instruction. See <https://bugs.llvm.org/show_bug.cgi?id=24350>.

 -- Kai-Chung Yan <seamlik@debian.org>  Thu, 13 Dec 2018 17:11:09 +0800

android-platform-art (8.1.0+r23-2) unstable; urgency=medium

  * Use my DD account in Uploaders
  * Disable libart and its users on MIPS as ART only supports MIPSr6 while
    Debian is by default MIPSr2
  * Fix FTBFS on i386
  * Use Clang only for libart and its users while GCC for the rest. This allows
    `dmtracedump` to be released on all architectures.

 -- Kai-Chung Yan <seamlik@debian.org>  Thu, 06 Dec 2018 03:40:05 +0800

android-platform-art (8.1.0+r23-1) unstable; urgency=low

  * Initial release (Closes: #913785)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Tue, 30 Oct 2018 15:33:48 +0800
